<?php //require_once('adminOnly.php');
/* 
AUTHOR: Globalissa, http://www.globalissa.com
TITLE: EasySQL
DATE VERSION RELEASED ON: August 5, 2003
LICENSE FOR EASYSQL: Freeware
DOWNLOAD FROM: http://www.globalissa.com
MINIMUM REQUIREMENTS: PHP version 4.1.2 or higher
DESCRIPTION:

EasySQL lets you run SQL commands on your mySQL database 
using just your web browser. Set up EasySQL in three (3) easy steps:

1. Replace the "yourValueHere" with the real value in four (4) variables.
   The variables to change are $dbname, $dbserverhost, $dbusername, $dbpassword.
	These variables should be changed in ONLY ONE PLACE !!!
	Do the following steps a) b) c) and d) :

	Step a)
	replace "yourdatabasename" on line 60	
	Example: $dbname = !isset($dbname)?"yourValueHere":$_POST['dbname'];

	Step b)
	replace "localhost" on line 61	
	Example:	$dbserverhost = !isset($dbserverhost)?"yourValueHere":$_POST['dbserverhost'];

	Step c)
	replace "root" on line 62	
	Example: $dbusername = !isset($dbusername)?"yourValueHere":$_POST['dbusername'];

	Step d)
	replace "" on line 63	
	Example: $dbpassword = !isset($dbpassword)?"yourValueHere":$_POST['dbpassword'];

2. Save, upload to your server and surf to the url

3. Optionally download and install admin-Login-Only from 
   http://www.globalissa.com to control access to easysql.php and safeguard your data

Warranties and Disclaimers
THIS PUBLICATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE 
IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR 
PURPOSE, OR NON-INFRINGEMENT. GLOBALISSA ASSUMES NO 
RESPONSIBILITY FOR ERRORS OR OMISSIONS IN THIS PUBLICATION OR OTHER 
DOCUMENTS WHICH ARE REFERENCED BY OR LINKED TO THIS PUBLICATION. 	
*/
if(file_exists("util.php")) {
	require_once("util.php"); // use the predefined database parameter constants
	$dbname = DBNAME;
}elseif (file_exists("configure.php")) {
	require_once("configure.php"); // use the predefined database parameter constants
	$dbname = DBNAME;
}elseif (file_exists("mysetup.php")) {
	require_once("mysetup.php"); // use the predefined database parameter constants
	$dbname = DBNAME;
	///////////////////////////////////////////////////////////////////////////////////
	////////////////////////// SET YOUR DB CONNECT VALUES BELOW HERE /////////////////////////////
}else{ // if not using CONSTANTS then set your unique database connectivity values below
	$dbname = !isset($dbname)?"yourdatabasename":$_POST['dbname'];
	$dbserverhost = !isset($dbserverhost)?"localhost":$_POST['dbserverhost'];
	$dbusername = !isset($dbusername)?"root":$_POST['dbusername'];
	$dbpassword = !isset($dbpassword)?"":$_POST['dbpassword'];
}
	///////////////////////////////////////////////////////////////////////////////////
	////////////////////////// SET YOUR DB CONNECT VALUES ABOVE HERE /////////////////////////////
$modifiedColor = "orange";
// initialize or capture variable values
$query = !isset($_POST['query'])?"SHOW TABLES":$_POST['query'];
$showLastQuery = !isset($_POST['showLastQuery'])?NULL:$_POST['showLastQuery'];
$showSyntax = !isset($_POST['showSyntax'])?NULL:$_POST['showSyntax'];
$myStatus = !isset($_REQUEST['myStatus'])?NULL:$_REQUEST['myStatus'];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>EasySQL from Globalissa.com - Easily connect with a mySQL database using one php file and three (3) easy steps! - A Globalissa Software Product - http://www.globalissa.com - also available: phpYellow Pages, Give - Fundraising Software for the Web, Admin-Login-Only and other fine internet business to business software products</TITLE>
<!-- START OF JAVASCRIPT FUNCTIONS FOR ALL easysql.php RELEASES -->
<script language="JavaScript" type="text/javascript">
<!-- 
/* paste text into the query box */
function pasteCode(choice){
	var writingblock = document.myQueryForm.query;
	switch (choice) {
		case "showTables":
			writingblock.value="SHOW TABLES";
			break;
		default:
			writingblock.value="SHOW TABLES";					
	}
}	
/*
This function tests to see if something has been entered in the query. 
If empty then an alert box appears and the form submission is halted 
*/
function isQuery() {
	var myForm = document.myQueryForm;
	if ( myForm.query.value == 0 ) {
		alert("There is no query.\nPlease enter a query.");
		myForm.query.focus();
		return false;
	}
	return true;
}
// -->
</script>
<!-- END OF JAVASCRIPT FUNCTIONS FOR ALL easysql.php RELEASES -->
<META NAME="Author" CONTENT="Globalissa Web: http://www.globalissa.com">
<meta name="Keywords" content="easySQL, easy, SQL, mySQL, connect, database, php, software, db, phpYellow Pages, Give - Fundraising Software for the Web, Admin-Login-Only, Refer and Notify, TellAFriend, fine, internet, business to business, products</TITLE>">
<meta name="Description" content="Easily connect with a mySQL database using just one php file and three (3) easy steps! Also available: phpYellow Pages, Give - Fundraising Software for the Web, Admin-Login-Only and other fine business to business internet software products">
<META name="ROBOTS" content="NOINDEX,NOFOLLOW">
</HEAD>
<BODY>
<blockquote>
<?php
// this block below captures defined CONSTANTS, if they are used via an include call
if(defined('DBSERVERHOST')) {
	$dbserverhost = DBSERVERHOST; // if CONSTANTS are used then set the variable value	
}
if(defined('DBUSERNAME')) {
	$dbusername = DBUSERNAME; // if CONSTANTS are used then set the variable value	
}
if(defined('DBPASSWORD')) {
	$dbpassword = DBPASSWORD; // if CONSTANTS are used then set the variable value	
}
// this block above captures defined CONSTANTS, if they are used via an include call


if (!empty($dbserverhost)) {
	$rowsModified = 0;
	$rowsSelected = 0;
	// pconnect, select and query
	if ($link_identifier = mysql_pconnect($dbserverhost, $dbusername, $dbpassword)) {
		if ( mysql_select_db($dbname, $link_identifier)) {
			if((!isset($query)) || empty($query)) {
				echo"<br><b>EasySQL</b> &nbsp;&nbsp;Enter your query into the textarea box then click on <b>RUN MY QUERY</b><br>";
			}else{
				$query = stripslashes($query);
				$result = mysql_query($query, $link_identifier);
				$partialCommand = ltrim($query); // strip leading characters eg. spaces
				$partialCommand = substr ( $partialCommand, 0, 4); /* get first 4 characters for switch()*/
				$partialCommand = strtolower($partialCommand);
				switch($partialCommand) { /* the first 4 letters from each sql statement are used for this switch  */
					case "alte": // zero to nn records are affected with Alter table
					case "dele": // zero to nn records are affected with Delete
					case "inse": // zero to 1 record affected with Insert
					case "upda": // zero to nn records are affected with Update
						if ($result != 0) {
							$rowsModified = mysql_affected_rows($link_identifier);
							$myStatus = "SQL was processed";
						}else{
							echo("Error " . mysql_errno() . ": " . mysql_error() . "<br>");
						}
						break;
					case "sele": // zero to nn rows returned
						if ($result != 0) {
							$rowsSelected = mysql_num_rows($result);
							$myStatus = "SQL was processed";
						}else{
							echo("Error " . mysql_errno() . ": " . mysql_error() . "<br>");
						}
						break;
					/* no affected records */
					case "crea": // no records affected
					case "desc":
					case "drop":
					case "load":
					case "show":
						$rowsModified = 0;
						$myStatus = "SQL was processed";
						break;
					default:
						$myStatus = "ALTER, DELETE, UPDATE, INSERT, CREATE, DESCRIBE, DROP, LOAD, SHOW, &amp; SELECT are the SQL commands currently supported in EasySQL.<br>\n";
				} // switch($partialCommand)
				// display results of the submitted query
				echo"<b>Query:</b> $query<br>\n";
				echo"<b>Result:</b> $myStatus<br>\n";
				echo"<b>Rows: </b> ";
				if ($partialCommand == "sele") {
					echo"$rowsSelected selected<p></p>";
				}else{
					echo "<b><font color=\"$modifiedColor\">$rowsModified modified</font></b><p></p>\n";
				}
				if (@mysql_num_rows($result) != 0){ // if there are rows then show them
					echo"<TABLE BORDER=1><TR>\n";
		           	for ($i = 0; $i < mysql_num_fields($result); $i++) {
    		       		echo("<TH>" . mysql_field_name($result,$i) . "</TH>");
					}
					echo"</TR>\n";
        		   	for ($i = 0; $i < mysql_num_rows($result); $i++) {
			           	echo("<TR>\n");
    			       	$row_array = mysql_fetch_row($result);
            			for ($j = 0; $j < mysql_num_fields($result); $j++) {
       		    	   		echo("<TD>" . $row_array[$j] . "</TD>\n");
           				}
     		      		echo("</TR>\n");
        			}
					echo"</TABLE>";
				}else{
					//echo"No matches.";
				}
			} // if(!isset($query)) ?>
			

				<!-- START OF table to encompass the entire SQL Command entry form -->				
				<br>
				<table cellpadding="5" align="left" border="10">
					<tr>
						<td>
							<form method="post" name="myQueryForm" action="easysql.php" onsubmit="isQuery()">
								<textarea style="background-color:honeydew;" name="query" cols=80 rows=8 wrap="soft"><?php if ($showLastQuery == "reuse"){echo"$query";}?></textarea><br>
								<!-- ******* START OF STANDARD easysql CONTROLS ******* -->
								<table width="100%">
									<tr>
										<td align="right">
											<!-- begin code to retrieve available database names -->
											<?php
											$db_list = mysql_list_dbs();
											$i = 0;
											$count = mysql_num_rows($db_list);
											if( $count > 0 ) { // if there are 1 or more databases found
												// build a select list
												echo"<select name='dbname'>\n"; // begin the select list
												echo "<option value='$dbname' SELECTED>$dbname</option>\n";
												while ($i < $count) {
													$option = mysql_db_name($db_list, $i); // set the unique value
													echo "<option value='$option'>$option</option>\n";
													$i++;
												}
												echo"</select>\n";
											}else{
												echo"No databases found.";
											}
											?>
											<!-- end of code to retrieve available database names -->
											<input style="color:white;font-weight:bold;background-color:green;" type="submit" name="submit" value="RUN MY QUERY" class="submit">
										</td>
									</tr>
									<tr>
										<td align="left">
											<input type="button" name="showTables" value="Show Tables" onclick="pasteCode('showTables')">
											<span style="font-size:x-small;">
												<input type="checkbox" name="showLastQuery" value="reuse"<?php if($showLastQuery == 'reuse'){echo " CHECKED";}?>> Reuse query 
												<input type='checkbox' name='showSyntax'<?php if($showSyntax == 'on'){echo " CHECKED";}?>> Syntax &nbsp;&nbsp;&nbsp;
												<a href="http://www.mysql.com/documentation/" target="_blank"><b>mySQL</b></a> 
												&nbsp;&nbsp;&nbsp;<a href="http://www.globalissa.com/checkversion/index.php?installversion=3.0&productname=EasySQL">Check V 3.0</a> &nbsp;&nbsp;&nbsp;
											</span>
											<span style="font-size:16px;font-style:italic;font-weight:bold;"><a href="http://www.globalissa.com">Globalissa.com</a></span>

											<?php 
											if($showSyntax == 'on'):?>

												<p></p>

												<b>Syntax</b><br>
This is quick reference. For official documentation please <a href="http://www.mysql.com/documentation/" target="_blank"><b>read the manual.</b></a>

<p></p>

<font size="2">
<b>SELECT</b><br>
syntax: SELECT <i>field1, field2</i> FROM <i>yourTableName</i> LIMIT 100<br>
example: SELECT firstName, lastName FROM user LIMIT 100<br>
outcome: displays records, does NOT change them
<p></p>

<b>DELETE</b><br>
syntax: DELETE FROM <i>yourTableName</i> WHERE <i>yourField</i> = <i>yourValue</i><br>
example: DELETE FROM User WHERE userid = 1000000<br>
outcome: permanently removes records
<p></p>

<b>INSERT</b><br>
syntax: INSERT INTO <i>yourTableName</i>(<i>yourField1, yourField2</i>) VALUES(<i>'value1', 'value2'</i>)<br>
example: INSERT INTO user(firstName, lastName) values('John','Lennon')<br>
outcome: adds a new record
<p></p>

<b>UPDATE</b><br>
syntax: UPDATE <i>yourTableName</i> SET <i>yourField</i> = '<i>value</i>' WHERE <i>yourField</i> = '<i>value</i>'<br>
example: UPDATE user SET firstName='Sean' where lastName='Lennon'<br>
outcome: edits an existing record
<p></p>
</font>
<?php endif;?>
<!-- END OF table for standard easysql controls -->
</td></tr></table>
<!-- ******* END OF STANDARD CONTROLS ******* -->



<!-- This is part of the regular distribution package -->
</form>
</td></tr></table>
<!-- END OF table to encompass the entire SQL Command entry form -->				

			<?php
			}else{ // in NO select db
		    	echo mysql_error();
			}
		}else{ // if no connect
			echo mysql_error();
		}
	} // if DBSERVERHOST
?>
</blockquote>
</BODY>
</HTML>

